use strict;
use Test::More tests => 1;

use t::common qw( new_fh );

diag "Testing DBM::Deep against Perl $] located at $^X";

use_ok( 'DBM::Deep' );

my ($fh, $filename) = new_fh();
my $db = DBM::Deep->new(
    file => $filename,
    num_txns => 2,
);

$db->{foo} = [];
#$db->{bar} = $db->{foo};

warn -s $filename, $/;
warn $db->_dump_file, $/;

$db->begin_work;

    delete $db->{foo};
#    delete $db->{bar};

    warn -s $filename, $/;
    warn $db->_dump_file, $/;

# XXX Committing seems to break the dumper
$db->commit;
#$db->rollback;

warn -s $filename, $/;
warn $db->_dump_file, $/;
